com.google.gwt.resources.converter

## Class ExtendedCssVisitor

- java.lang.Object
- - com.google.gwt.resources.css.ast.CssVisitor
  - - com.google.gwt.resources.converter.ExtendedCssVisitor

Direct Known Subclasses:
  ElseNodeCreator, GssGenerationVisitor

    public class ExtendedCssVisitor
    extends com.google.gwt.resources.css.ast.CssVisitor

This visitor allows to visit new nodes created specifically for the conversion.

### Field Summary

### Fields inherited from class com.google.gwt.resources.css.ast.CssVisitor

`UNMODIFIABLE_CONTEXT`

### Constructor Summary

Constructors
Constructor and Description
`ExtendedCssVisitor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `endVisit(CssElIf x, com.google.gwt.resources.css.ast.Context ctx)`
`void` `endVisit(CssElse x, com.google.gwt.resources.css.ast.Context ctx)`
`boolean` `visit(CssElIf x, com.google.gwt.resources.css.ast.Context ctx)`
`boolean` `visit(CssElse x, com.google.gwt.resources.css.ast.Context ctx)`

### Methods inherited from class com.google.gwt.resources.css.ast.CssVisitor

`accept, accept, acceptWithInsertRemove, doAccept, doAccept, doAcceptWithInsertRemove, doTraverse, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExtendedCssVisitor

    public ExtendedCssVisitor()

### Method Detail

#### endVisit

    public void endVisit(CssElse x,
                         com.google.gwt.resources.css.ast.Context ctx)

Parameters:
  `x` - the node being visited
  `ctx` - the context for the visit

#### visit

    public boolean visit(CssElse x,
                         com.google.gwt.resources.css.ast.Context ctx)

Parameters:
  `x` - the node being visited
  `ctx` - the context for the visit

#### endVisit

    public void endVisit(CssElIf x,
                         com.google.gwt.resources.css.ast.Context ctx)

Parameters:
  `x` - the node being visited
  `ctx` - the context for the visit

#### visit

    public boolean visit(CssElIf x,
                         com.google.gwt.resources.css.ast.Context ctx)

Parameters:
  `x` - the node being visited
  `ctx` - the context for the visit